<?php
include('../common/parseargs.php');

$USAGE=" --userid=<userid> ";

include('../common/basicargcheck.php');

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}


#arguments
$USERID=$args_array['userid'];


if (strlen($USERID) < 1) {
        echo "ERROR: --userid=<userid> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

try{

	$client = new soapclient("https://$HOST:$PORT/User?wsdl",
		array('login'=>"$USER",
		'password'=>"$PASS",
		'trace'=>1
		)
	);

	$response = $client->getUserById(array('id'=>"$USERID")) ;

	var_dump($response);
} 
catch (SoapFault $exception)
{
	echo $exception;
}
?> 
